# 部署信息

| 环境   | 数据库                       | database             | 部署信息           |
|------|---------------------------|----------------------|----------------|
| 开发环境 | mysql-sit.deepq.tech      | std_news_process_dev | 无              |
| 测试环境 | mysql-sit.deepq.tech      | std_news_process     | kubernetes-sit |
| 生产环境 | mysql8-prd-rds.deepq.tech | std_news_process     | kubernetes-prd |

## 出口IP

| IP             | 环境             |
|----------------|----------------|
| 47.103.106.123 | 阿里云VPN         |
| 47.103.90.3    | kubernetes-sit |
| 47.100.14.52   | kubernetes-prd |

## Kafka

> source-out 可能会超过默认max.message.bytes的限制导致处理失败

设置max.message.bytes为10M

```shell
./kafka-configs.sh --bootstrap-server kafka-0.kafka.common.svc.cluster.local:9092,kafka-1.kafka.common.svc.cluster.local:9092,kafka-2.kafka.common.svc.cluster.local:9092    --entity-type topics --entity-name  source-out --alter --add-config max.message.bytes=104858812 
```

验证

```shell
./kafka-topics.sh --bootstrap-server kafka-0.kafka.common.svc.cluster.local:9092,kafka-1.kafka.common.svc.cluster.local:9092,kafka-2.kafka.common.svc.cluster.local:9092 --describe --topic source-out
```

## 重启程序

测试环境

```shell
kubectl rollout restart -n std-news-process-sit  deployment std-news-process-sit-std-news-process-scheduler std-news-process-sit-std-news-process-sink  std-news-process-sit-std-news-process-source std-news-process-sit-std-news-process-transformer
```

生产环境

```shell
kubectl rollout restart -n std-news-process-prd  deployment std-news-process-prd-std-news-process-scheduler std-news-process-prd-std-news-process-sink  std-news-process-prd-std-news-process-source std-news-process-prd-std-news-process-transformer
```