# 常用SQL

## 查询当前任务状态

```sql
select name,
       description,
       CASE
           WHEN deleted = 0 THEN '🟢'
           WHEN deleted = 1 THEN '🔴'
           END                                                         AS '调度状态',
       CASE
           WHEN REPLACE(json_extract(sink_params, '$.checkUpdate.status'), '"', '') = 'on' THEN '🟢'
           WHEN REPLACE(json_extract(sink_params, '$.checkUpdate.status'), '"', '') = 'off' THEN '🔴'
           END                                                         as '是否检查更新',
       CASE
           WHEN REPLACE(json_extract(sink_params, '$.checkDelete.status'), '"', '') = 'on' THEN '🟢'
           WHEN REPLACE(json_extract(sink_params, '$.checkDelete.status'), '"', '') = 'off' THEN '🔴'
           END                                                         as '是否检查删除',
       REPLACE(json_extract(request_params, '$.url'), '"', '')         as 'URL',

       REPLACE(json_extract(sink_params, '$.dataSourceName'), '"', '') as '数据源名',
       REPLACE(json_extract(sink_params, '$.tableName'), '"', '')      as '表名'
from task;
```

## 查询爬虫库入库数量

```sql
select date(createDate) as 日期, spider, count(*) as count
from all_news
where spider in (
                 "zgzqb_rss",
                 "zzkx_rss",
                 "zzzncx_rss",
                 "zzjnz_rss"
    )
group by spider, 日期
order by 日期 desc, count;
```

## 查开发环境入库数量

```sql
select date(createDate) as 日期, spider, count(*) as count
from std_news
where spider in (select distinct name
                 from task)
group by spider, 日期
order by 日期 desc, count;
```

